<?php

if (function_exists('exec')) {


    if (isset($_POST['format']) && isset($_POST['bit'])) {
        $all_path_input_file = realpath($dir_loads . '/' . $file);
        $all_path_output_file = preg_replace('#.[^\.]*$#i', '.' . $_POST['format'], $all_path_input_file);

        if (!file_exists($all_path_output_file)) {
            $exec = "ffmpeg -i $all_path_input_file -b " . $_POST['bit'] . " $all_path_output_file";
            $exec = urlencode($exec);
            if (function_exists('set_time_limit')) {
                @set_time_limit(600);
            } // Ограничиваем выполнение скрипта 10 минутами
            @chmod($all_path_output_file, 0777);
            $result = exec($exec);


            echo "Конвертирование<br />\n";
            echo "Из: $all_path_input_file<br />\n";
            echo "В: $all_path_output_file<br />\n";
            echo "Результат: " . output_text($result) . "<br />\n";
        } else
            echo "$all_path_output_file уже существует<br />\n";
    }
    if (isset($_GET['act']) && $_GET['act'] == 'convert') {
        echo "Данная функция не тестировалась и может привести к непредсказуемым результатам<br />\n";
        echo "Также действия данной функции могут повлечь за собой повышенную нагрузку на сервер и, как следствие, блокировку аккаунта<br />\n";
        echo "Использование данной функции рекомендуется только на выделенном сервере<br />\n";

        echo "<form method='post' action=''>\n";
        echo "Выходной формат:<br />\n";
        echo "<select name='format'>\n";
        echo "<option value='flv'>FLV</option>\n";
        echo "<option value='3gp'>3GP</option>\n";
        echo "<option value='mp3'>MP3</option>\n";
        echo "<option value='mp4'>MP4</option>\n";
        echo "<option value='avi'>AVI</option>\n";
        echo "</select>\n";

        echo "<select name='bit'>\n";
        echo "<option value='64k'>64KB\s</option>\n";
        echo "<option value='128k'>128KB\s</option>\n";
        echo "<option value='256k'>256KB\s</option>\n";
        echo "</select><br />\n";


        echo "<input type='submit' value='Начать' />";
        echo "</form>\n";
        echo "<a href='?" . url("d=$l&amp;f=$file") . "'>Отмена</a><br />";
    } else {
        echo "<a href='?" . url("d=$l&amp;f=$file") . "&amp;act=convert'>Конвертер</a><br />";
    }
}
